aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKacper Kowalik (Xarthisius) <xarthisius@gentoo.org>2013-08-30 09:27:28 +0200
committerKacper Kowalik (Xarthisius) <xarthisius@gentoo.org>2013-08-30 09:27:28 +0200
commitfcc9714ed4f2952d78e8e98aefd727bc044e4ca9 (patch)
treeea9b05230a284996f17af42fa4791182119f6a33 /sci-visualization
parentsci-chemistry/coot: Install missing syminfo, #482734 (diff)
downloadsci-fcc9714ed4f2952d78e8e98aefd727bc044e4ca9.tar.gz
sci-fcc9714ed4f2952d78e8e98aefd727bc044e4ca9.tar.bz2
sci-fcc9714ed4f2952d78e8e98aefd727bc044e4ca9.zip
[sci-visualization/yt] update
Diffstat (limited to 'sci-visualization')
-rw-r--r--sci-visualization/yt/yt-9999.ebuild45
1 files changed, 23 insertions, 22 deletions
diff --git a/sci-visualization/yt/yt-9999.ebuild b/sci-visualization/yt/yt-9999.ebuild
index a63f2dec4..39886ced3 100644
--- a/sci-visualization/yt/yt-9999.ebuild
+++ b/sci-visualization/yt/yt-9999.ebuild
@@ -2,41 +2,42 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI=4
+EAPI=5
-PYTHON_DEPEND="2"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.*"
+PYTHON_COMPAT=( python2_7 )
+EHG_REPO_URI="https://bitbucket.org/yt_analysis/yt"
+EHG_REVISION="yt"
-inherit distutils mercurial
+inherit distutils-r1 mercurial
DESCRIPTION="Astrophysical Simulation Analysis and Vizualization package"
HOMEPAGE="http://yt-project.org/"
SRC_URI=""
-EHG_REPO_URI="https://bitbucket.org/yt_analysis/yt"
-EHG_REVISION="yt"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
-IUSE=""
+IUSE="test"
CDEPEND="media-libs/freetype
media-libs/libpng
sci-libs/hdf5"
-DEPEND="${CDEPEND}
- dev-python/cython
- >=dev-python/setuptools-0.6.32"
RDEPEND="${CDEPEND}
- dev-python/ipython[notebook]
- dev-python/pyx
- dev-python/numpy
- dev-python/h5py
- dev-python/matplotlib"
+ dev-python/ipython[notebook,${PYTHON_USEDEP}]
+ dev-python/pyx[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/h5py[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/sympy[${PYTHON_USEDEP}]"
+DEPEND="${CDEPEND}
+ dev-python/Forthon[${PYTHON_USEDEP}]
+ >=dev-python/cython-0.19[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-0.7[${PYTHON_USEDEP}]
+ test? ( ${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
-pkg_setup() {
- export PNG_DIR="${EPREFIX}"/usr
- export FTYPE_DIR="${EPREFIX}"/usr
- export HDF5_DIR="${EPREFIX}"/usr
- python_pkg_setup
-}
+# TODO
+#python_test() {
+# nosetests || die
+#}